/**
 * 
 */
package com.agilefaqs.rft.suggestions;

import java.util.List;

import com.agilefaqs.rft.suggestions.strategies.ChildStrategyParam;
import com.agilefaqs.rft.suggestions.strategies.ChildSuggestionFactory;
import com.agilefaqs.rft.suggestions.strategies.ChildSuggestionStrategy;

public abstract class AbstractCommonSuggestionsStrategy {
    private final List<ChildSuggestionStrategy> childStrategies;

    public AbstractCommonSuggestionsStrategy(final ChildSuggestionFactory childSuggestionFactory) {
        childStrategies = childSuggestionFactory.getStrategies();
    }

    public String suggestedIdentity(final ChildStrategyParam param) {
        for (ChildSuggestionStrategy childStrategy : childStrategies) {
            final String Identity = childStrategy.generateId(param);
            if (Identity != null) {
                return Identity;
            }
        }
        return null;
    }

}
