package com.agilefaqs.rft.suggestions;

import java.util.ArrayList;
import java.util.List;

public class IdentityGenerator extends AbstractIdentityGenerator {
    public IdentityGenerator(final SuggestionStrategyFactory suggestionsFactory) {
        super(suggestionsFactory.getStrategies());
    }

    @Override
    public List<String> getGeneratedIDs(final SuggestionParam suggestionParam) {
        List<String> suggestedIDs = new ArrayList<String>(TOTAL_SUGGESTIONS);
        for (SuggestionStrategy suggestionStrategy : identityGenerators) {
            final String Identity = suggestionStrategy.getIdentity(suggestionParam);
            if (Identity != null)
                suggestedIDs.add(Identity);
        }
        return suggestedIDs;
    }

}
