package com.agilefaqs.rft.suggestions;

import java.util.LinkedList;
import java.util.List;

import com.agilefaqs.rft.suggestions.strategies.ChildSuggestionFactory;

public class SuggestionStrategyFactory {

    private final List<SuggestionStrategy> strategies = new LinkedList<SuggestionStrategy>();

    SuggestionStrategyFactory(final ChildSuggestionFactory childSuggestionFactory) {
        strategies.add(0, new IdentitySuggestionOneStrategy(childSuggestionFactory));
        strategies.add(1, new IdentitySuggestionTwoStrategy(childSuggestionFactory));
        strategies.add(2, new IdentitySuggestionThreeStrategy(childSuggestionFactory));
        strategies.add(3, new IdentitySuggestionFourStrategy(childSuggestionFactory));
    }

    public List<SuggestionStrategy> getStrategies() {
        return strategies;
    }
}
