package com.agilefaqs.rft.suggestions.strategies;

import java.util.Calendar;

import com.agilefaqs.rft.domain.UserService;
import com.agilefaqs.rft.suggestions.IDTokens;
import com.agilefaqs.rft.suggestions.SuggestionsUtil;

public abstract class AbstractChildStrategy implements ChildSuggestionStrategy {

    private final UserService userService;
    private final SuggestionsUtil utils;

    public AbstractChildStrategy(final UserService userService, final SuggestionsUtil utils) {
        this.userService = userService;
        this.utils = utils;
    }

    protected String getIdentity(final String token1, final String token2) {
        IDTokens IdTokens = utils.getIdentityTokens(token1, token2);
        if (IdTokens == null) {
            return null;
        }
        String Identity = utils.appendTokensForId(IdTokens.getToken1(), IdTokens.getToken2());
        if (userService.isIdentityAvailable(Identity)) {
            return Identity;
        } else {
            return null;
        }
    }

    protected String currentYear() {
        return String.valueOf(Calendar.getInstance().get(Calendar.YEAR));
    }

}
