package com.agilefaqs.rft.suggestions.strategies;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Test;

import com.agilefaqs.rft.domain.User;
import com.agilefaqs.rft.suggestions.strategies.ChildStrategyParam;

public class ChildStrategyParamTest {
    private static final String CITY = "mumbai";
    private static final String FIRST_NAME = "Naresh";
    private static final String LAST_NAME = "Jain";

    @Test
    public void testEquals() throws Exception {
        ChildStrategyParam paramOne = new ChildStrategyParam(FIRST_NAME, LAST_NAME, null);
        ChildStrategyParam paramTwo = new ChildStrategyParam(FIRST_NAME, LAST_NAME, CITY);
        ChildStrategyParam paramThree = new ChildStrategyParam(FIRST_NAME, LAST_NAME, null);
        ChildStrategyParam paramFour = new ChildStrategyParam(null, null, null);
        assertTrue(paramOne.equals(paramThree));
        assertFalse(paramOne.equals(paramTwo));
        assertFalse(paramThree.equals(paramTwo));
        assertFalse(paramThree.equals(paramFour));
        assertFalse(paramThree.equals(new User()));
        assertFalse(paramThree.equals(null));
    }
}
